# Class NodeAddress

#### Hierarchy

- unknown
  - NodeAddress

- Defined in src/protobuf/pb_pb.d.ts:1783
- Defined in src/protobuf/pb_pb.d.ts:1798

#####
Index

### Constructors

constructor

### Methods

getHostName
getPort
serializeBinary
setHostName
setPort
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new NodeAddress(): NodeAddress

- #### Returns NodeAddress

  Inherited from jspb.Message.constructor

## Methods

### getHostName

- getHostName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1784

### getPort

- getPort(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1787

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1790

### setHostName

- setHostName(value: string): NodeAddress

- #### Parameters

  - ##### value: string

  #### Returns NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1785

### setPort

- setPort(value: number): NodeAddress

- #### Parameters

  - ##### value: number

  #### Returns NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1788

### toObject

- toObject(includeInstance?: boolean): NodeAddress.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns NodeAddress.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1791

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): NodeAddress

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1794

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NodeAddress, reader: BinaryReader): NodeAddress

- #### Parameters

  - ##### message: NodeAddress

  - ##### reader: BinaryReader

  #### Returns NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1795

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: NodeAddress, writer: BinaryWriter): void

- #### Parameters

  - ##### message: NodeAddress

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1793

### `Static` toObject

- toObject(includeInstance: boolean, msg: NodeAddress): NodeAddress.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NodeAddress

  #### Returns NodeAddress.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1792

Generated using TypeDoc